#include <iostream>
#include <cstdio>
#include <algorithm>
#include <string.h>

using namespace std;

struct rec
{
    char slova[51];
    int len, p;
};
rec reci[5000];
int n;

int s1(rec a, rec b)
{
    int i=0;
    int len=min(a.len, b.len);
    for(i=0; i<len; i++)
    {
        if(a.slova[i]<b.slova[i]) return 1;
        else if(a.slova[i]>b.slova[i]) return 0;
    }
    if(a.len<b.len) return 1;
    return 0;
}

int main()
{
    freopen("igra.in", "r", stdin);
    freopen("igra.out", "w", stdout);
    int i, inbiop=-15, plen=100, inbionp=-15, nplen=100;
    scanf("%i", &n);
    for(i=0; i<n; i++)
    {
        scanf("%s", &reci[i].slova);
        reci[i].len=strlen(reci[i].slova);
        if(reci[i].len%2==0)
        {
            if(reci[i].len<plen||(reci[i].len==plen && s1(reci[i], reci[inbiop])))
            {
                plen=reci[i].len;
                inbiop=i;
      //          printf("%i %s\n", i, reci[i].slova);
            }
        }
        else if(reci[i].len%2==1)
        {
            {
      //      printf("%s\n", reci[i].slova);
            if(reci[i].len<plen||(reci[i].len==plen && s1(reci[i], reci[inbionp])))
            {
                nplen=reci[i].len;
                inbionp=i;
      //          printf("%i %s\n", i, reci[i].slova);
            }
        }
        }
    }
    //sort(reci, reci+n, s1);
    //printf("baba\n");
    /*for(i=0; i<n; i++)
        printf("%s\n", reci[i].slova);*/
    if(inbiop>=0)
    {
        printf("1\n%s", reci[inbiop].slova);
        return 0;
    }
    else printf("2\n%s", reci[inbionp].slova);
    return 0;
}
/*

8
avioni
banana
berza
selo
seobe
kosa
kola
*/
